using System;

namespace Nivot.PowerShell.WindowsMobile
{
    [Serializable, Flags]
    public enum CEFileAttributes
    {
        None = 0,
        Archive = 0x20,
        Compressed = 0x800,
        Directory = 0x10,
        Encrypted = 0x4000,
        Hidden = 2,
        Normal = 0x80,
        ReadOnly = 1,
        ReparsePoint = 0x400,
        SparseFile = 0x200,
        System = 4,
        Temporary = 0x100,
        InRom = 0x00000040,
        RomStaticRef = 0x00001000,
        RomModule = 0x00002000,

        /// <summary>
        /// Non-standard CE attribute.
        /// </summary>
        HasChildren = 0x00010000,

        /// <summary>
        /// Non-standard CE attribute.
        /// </summary>
        Shortcut = 0x00020000
    }
}