namespace Nivot.PowerShell.WindowsMobile.Rapi2
{
    /// <summary>
    /// Describes the current status of the Object Store
    /// </summary>
    public struct StoreInfo
    {
        /// <summary>
        /// Free space in the Object Store in Bytes
        /// </summary>
        public int FreeSize;

        /// <summary>
        /// Size of the Object Store in Bytes
        /// </summary>
        public int StoreSize;
    }
}