﻿using System;
using System.Collections.Generic;
using System.Text;
using Nivot.PowerShell.WindowsMobile.Rapi2;

namespace Nivot.PowerShell.WindowsMobile
{
    public class CEExecutableFile : CEFile
    {
        internal CEExecutableFile(RemoteDevice device, string path) : base(device, path)
        {
        }

        public override CEInvokable Invokable
        {
            get
            {
                return CEInvokable.Remotely;
            }
        }

        protected override void InvokeRemotely()
        {
            Device.CreateProcess(this.FullPath, null, ProcessCreationFlags.None);
        }
    }
}
