namespace Nivot.PowerShell.WindowsMobile.Rapi2
{
    /// <summary>
    /// Processor type values (GetSystemInfo)
    /// </summary>
    public enum ProcessorType : int
    {
        /// <summary>
        /// 386
        /// </summary>
        PROCESSOR_INTEL_386 = 386,
        /// <summary>
        /// 486
        /// </summary>
        PROCESSOR_INTEL_486 = 486,
        /// <summary>
        /// Pentium
        /// </summary>
        PROCESSOR_INTEL_PENTIUM = 586,
        /// <summary>
        /// P2
        /// </summary>
        PROCESSOR_INTEL_PENTIUMII = 686,
        /// <summary>
        /// IA 64
        /// </summary>
        PROCESSOR_INTEL_IA64 = 2200,
        /// <summary>
        /// MIPS 4000 series
        /// </summary>
        PROCESSOR_MIPS_R4000 = 4000,
        /// <summary>
        /// Alpha 21064
        /// </summary>
        PROCESSOR_ALPHA_21064 = 21064,
        /// <summary>
        /// PowerPC 403
        /// </summary>
        PROCESSOR_PPC_403 = 403,
        /// <summary>
        /// PowerPC 601
        /// </summary>
        PROCESSOR_PPC_601 = 601,
        /// <summary>
        /// PowerPC 603
        /// </summary>
        PROCESSOR_PPC_603 = 603,
        /// <summary>
        /// PowerPC 604
        /// </summary>
        PROCESSOR_PPC_604 = 604,
        /// <summary>
        /// PowerPC 620
        /// </summary>
        PROCESSOR_PPC_620 = 620,
        /// <summary>
        /// Hitachi SH3
        /// </summary>
        PROCESSOR_HITACHI_SH3 = 10003,
        /// <summary>
        /// Hitachi SH3E
        /// </summary>
        PROCESSOR_HITACHI_SH3E = 10004,
        /// <summary>
        /// Hitachi SH4
        /// </summary>
        PROCESSOR_HITACHI_SH4 = 10005,
        /// <summary>
        /// Motorola 821
        /// </summary>
        PROCESSOR_MOTOROLA_821 = 821,
        /// <summary>
        /// Hitachi SH3
        /// </summary>
        PROCESSOR_SHx_SH3 = 103,
        /// <summary>
        /// Hitachi SH4
        /// </summary>
        PROCESSOR_SHx_SH4 = 104,
        /// <summary>
        /// Intel StrongARM
        /// </summary>
        PROCESSOR_STRONGARM = 2577,
        /// <summary>
        /// ARM720
        /// </summary>
        PROCESSOR_ARM720 = 1824,
        /// <summary>
        /// ARM820
        /// </summary>
        PROCESSOR_ARM820 = 2080,
        /// <summary>
        /// ARM920
        /// </summary>
        PROCESSOR_ARM920 = 2336,
        /// <summary>
        /// ARM 7
        /// </summary>
        PROCESSOR_ARM_7TDMI = 70001
    }
}