using System.ComponentModel;
using System.Management.Automation;

namespace Nivot.PowerShell.WindowsMobile
{
    [RunInstaller(true)]
    public class WindowsMobileSnapIn : PSSnapIn
    {
        public override string Name
        {
            get { return "Nivot.PowerShell.WindowsMobile"; }
        }

        public override string Vendor
        {
            get { return "Oisin Grehan"; }
        }

        public override string Description
        {
            get { return "Windows Mobile Provider"; }
        }

        public override string[] Formats
        {
            get { return new string[] {@"FormatData\WindowsMobile.Formats.ps1xml"}; }
        }

        //public override Collection<CmdletConfigurationEntry> Cmdlets
        //{
        //    get
        //    {
        //        var cmdlets = new Collection<CmdletConfigurationEntry>();
        //        cmdlets.Add(new CmdletConfigurationEntry())
        //        //return base.Cmdlets;
        //    }
        //}

        //public override System.Collections.ObjectModel.Collection<System.Management.Automation.Runspaces.ProviderConfigurationEntry> Providers
        //{
        //    get
        //    {
        //        return base.Providers;
        //    }
        //}
    }
}